> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CDN service

> Get information about CDN services of all clients accounts.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml get /cdn/clients
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/clients:
    get:
      tags:
        - CDN service
      summary: Get CDN service
      description: Get information about CDN services of all clients accounts.
      operationId: get-cdn-service
      responses:
        '200':
          $ref: '#/components/responses/AccountsList'
components:
  responses:
    AccountsList:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AccountsList'
          examples:
            default:
              $ref: '#/components/examples/AccountsList'
  schemas:
    AccountsList:
      type: array
      items:
        $ref: '#/components/schemas/AccountDetails'
    AccountDetails:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_client_ID'
        created:
          allOf:
            - $ref: '#/components/schemas/body_response_client_Created'
        updated:
          allOf:
            - $ref: '#/components/schemas/body_response_client_Updated'
        service:
          allOf:
            - $ref: '#/components/schemas/body_response_client_Service'
        utilization_level:
          allOf:
            - $ref: '#/components/schemas/body_response_client_UtilizationLevel'
        cname:
          allOf:
            - $ref: '#/components/schemas/body_response_client_Cname'
        use_balancer:
          allOf:
            - $ref: '#/components/schemas/body_response_client_UseBalancer'
        auto_suspend_enabled:
          allOf:
            - $ref: '#/components/schemas/body_response_client_AutoSuspendEnabled'
    body_response_client_ID:
      type: integer
      description: Client account ID.
    body_response_client_Created:
      type: string
      description: Date of the first synchronization with the Platform.
    body_response_client_Updated:
      type: string
      description: Date of the last CDN service update.
    body_response_client_Service:
      type: object
      description: CDN service status.
      properties:
        enabled:
          allOf:
            - $ref: '#/components/schemas/body_response_service_Enabled'
        status:
          allOf:
            - $ref: '#/components/schemas/body_response_service_Status'
        updated:
          allOf:
            - $ref: '#/components/schemas/body_response_service_Updated'
    body_response_client_UtilizationLevel:
      type: integer
      description: >-
        CDN traffic usage limit in gigabytes.


        When the limit is reached, we will send an email notification to a
        client.
    body_response_client_Cname:
      type: string
      description: >-
        Domain zone to which a CNAME record of the client CDN resources should
        be pointed.
    body_response_client_UseBalancer:
      type: boolean
      description: Defines whether custom balancing is used for content delivery.
    body_response_client_AutoSuspendEnabled:
      type: boolean
      description: >-
        Defines whether resources will be deactivated automatically by
        inactivity.
      example: true
    body_response_service_Enabled:
      type: boolean
      description: |-
        Defines whether the service is activated.

        Possible values are:
        - **true** - Service is activated.
        - **false** - Service is not activated.
    body_response_service_Status:
      type: string
      description: >-
        Service status.


        Possible values:

        - **new** - CDN service is not activated.

        - **trial** - Free trial is in progress.

        - **trialend** - Free trial has ended and CDN service is stopped. All
        client CDN resources are suspended.

        - **activating** - CDN service is being activated. It can take up to 15
        minutes.

        - **active** - CDN service is active.

        - **paused** - CDN service is stopped. All client CDN resources are
        suspended.

        - **deleted** - CDN service is stopped. All client CDN resources are
        deleted.
    body_response_service_Updated:
      type: string
      description: Date of the last status update.
  examples:
    AccountsList:
      value:
        - id: 1
          created: '2020-07-10T10:30:04.954354Z'
          updated: '2021-06-11T10:30:04.954354Z'
          service:
            enabled: true
            status: active
            updated: '2021-06-11T10:30:04.954354Z'
          cname: cli-12345.example.com
          use_balancer: false
        - id: 2
          created: '2020-06-10T10:30:04.954354Z'
          updated: '2021-06-10T10:30:04.954354Z'
          service:
            enabled: true
            status: trial
            updated: '2021-06-10T10:30:04.954354Z'
          cname: cli-23456.example.com
          use_balancer: true
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````